@ECHO OFF
REM -- This is a sample batch file to demonstrate how Free Speech can
REM -- be used as a front-end to another BBS.  In this example, it is
REM -- being used as a front-end to Pinnacle Software's Sapphire BBS.
:AGAIN
C:
CD \FREE
FREE
IF ERRORLEVEL 35 GOTO F2400
IF ERRORLEVEL 30 GOTO F1200
IF ERRORLEVEL 25 GOTO F300
IF ERRORLEVEL 20 GOTO FCON
IF ERRORLEVEL  0 GOTO QUIT
:FCON
CD \SAPPHIRE
SRUN FRONT 0
GOTO AGAIN
:F300
CD \SAPPHIRE
ECHO Baudrate 300
SRUN FRONT 300
GOTO AGAIN
:F1200
CD \SAPPHIRE
ECHO Baudrate 1200
SRUN FRONT 1200
GOTO AGAIN
:F2400
ECHO Baudrate 2400
CD \SAPPHIRE
SRUN FRONT 2400
GOTO AGAIN
:QUIT
ECHO Quitting...
IF ERRORLEVEL 1 ECHO ERRORLEVEL over 1
